<template>
  <div id="app">
    <b-navbar toggleable="md">
      <b-navbar-toggle target="nav_collapse"></b-navbar-toggle>
      <b-navbar-brand v-if="$session.exists() && $session.get('user').role==='admin'" to="/home"><img class="logo" src="./assets/logo-platone.png" alt="Platone Blockchain Access Platform"/></b-navbar-brand>
      <b-navbar-brand v-if="$session.exists() && $session.get('user').role==='producer'" to="/producer"><img class="logo" src="./assets/logo-platone.png" alt="Platone Blockchain Access Platform"/></b-navbar-brand>
      <b-navbar-brand v-if="$session.exists() && $session.get('user').role==='consumer'" to="/consumer"><img class="logo" src="./assets/logo-platone.png" alt="Platone Blockchain Access Platform"/></b-navbar-brand>
      <b-collapse is-nav id="nav_collapse">
        <b-navbar-nav>
          <b-nav-item v-if="$session.exists() && $session.get('user').role==='admin'" to="/home">Home</b-nav-item>
          <b-nav-item v-if="$session.exists() && $session.get('user').role==='producer'" to="/producer">Home</b-nav-item>
          <b-nav-item v-if="$session.exists() && $session.get('user').role==='consumer'" to="/consumer">Home</b-nav-item>
        </b-navbar-nav>
        <b-navbar-nav class="ml-auto">
          <b-nav-item-dropdown  v-if="$session.exists()" right split>
            <template slot="button-content"><v-icon class="user-icon" name="user" scale="2"/><span class="user">{{$session.get('user').username}}</span></template>
            <b-dropdown-item href="#">Account</b-dropdown-item>
            <b-dropdown-item  v-on:click="doLogout()">Logout</b-dropdown-item>
          </b-nav-item-dropdown>
        </b-navbar-nav>
      </b-collapse>
    </b-navbar>

    <router-view></router-view>
  </div>
</template>

<script>
export default {
  name: 'app',
  methods: {
    doLogout () {
      this.$session.destroy()
      this.$router.push('/')
    }
  }
}
</script>

<style>
  body {
    height: 100%;
  /*  background: url("assets/background.jpg");*/
    background-size: cover;
  }
  .navbar {
    box-shadow: 0 0 5px #e3e3e3;
    margin-bottom: 20px;
  }
  .nav-link {
    text-transform: capitalize;
  }
  .bg-dark {
    background-color: #34495e !important;
  }
  .navbar-brand img {
    height: 60px;
    margin-right: 10px;
  }
  .page-item.active .page-link {
    background-color: #218838;
    border-color: #218838;
  }
  .page-link {
    color: #218838;
  }
  .user-icon {
    margin-top: -8px;
  }
  .user {
    margin-left: 10px;
  }
  .table-platone {
    font-size: 14px;
  }
</style>
